from GFM314_Rx_tests import *

resource_string_SMW_hislip = 'TCPIP::192.168.1.1::hislip0'  # Hi-Speed LAN connection - see 1MA208
resource_string_SMW_vxi11 = 'TCPIP::192.168.1.1::INSTR'  # VXI-11 connection
resource_string_SMW_usb = 'USB::0x0AAD::0x0119::022019943::INSTR'  # USB-TMC (test and measurement class)
resource_string_FSW = 'TCPIP::192.168.1.2::hislip0'  # required for test case 7.6

try:
    # ---- Test case 7.2 Reference sensitivity level ----
    # Initialization
    mytest72 = TC72(resource_string_SMW_hislip)
    # Set some test specific parameters
    mytest72.channel_bw = 20
    mytest72.dmrs_pos = 2
    # Apply signal configuration
    mytest72.apply_configuration()
    # Switch RF output on
    mytest72.output_on(1)
    # Close the connection
    mytest72.close()

    # # ---- Test case 7.6 Receiver spurious emissions ----
    # # Initialization
    # mytest76 = TC76(resource_string_FSW) # FSW is used
    # # Set some test specific parameters
    # mytest76.offset = 3
    # mytest76.number_peaks = 25
    # mytest76.frequency_5thharmonic = 25
    # # Apply signal configuration
    # mytest76.apply_configuration()
    # # Measurement results
    # print(mytest76.return_results())
    # mytest76.hardcopy()
    # mytest76.csv_export()
    # # Close the connection
    # mytest76.close()
except RsException as e:
    print(e.args[0])
else:
    print('Test execution successful')
